org.eclipse.wst.jsdt.chromium

## Interface Browser

    public interface Browser

An "entry point" of the SDK. A Browser instance is usually constructed once per a debugged browser instance.

### Nested Class Summary

Nested Classes
`static interface` `Browser.TabConnector` Tab list item that is fetched from browser.
`static interface` `Browser.TabFetcher` Helps to fetch currently opened browser tabs.

### Method Summary

All Methods Instance Methods Abstract Methods
`Browser.TabFetcher` `createTabFetcher()` Establishes the browser connection and checks for the protocol version supported by the remote, then creates object that downloads list of tabs.

### Method Detail

#### createTabFetcher

    Browser.TabFetcher createTabFetcher()
                                 throws java.io.IOException,
                                        UnsupportedVersionException

Establishes the browser connection and checks for the protocol version supported by the remote, then creates object that downloads list of tabs.

Returns:
  new instance of TabFetcher that must be dismissed after use to control connection use
Throws:
  `java.io.IOException` - if there was a transport layer error
  `UnsupportedVersionException` - if the SDK protocol version is not compatible with that supported by the browser